#!/usr/bin/env bash

# CLI (auto update) updater script
#
# parameter:
#           * path where to save the backup
#           * url where to get the file tui.tar.gz

current_tmp_release_folder=/home/akkadianuser/tmp/akkappmanager_installation
current_release_zip_name=`echo $1 | sed -r "s/\x1B\[([0-9]{1,3}((;[0-9]{1,3})*)?)?[m|K]//g"`;
current_app_folder=/home/akkadianuser
backup_directory=/home/backups/akkappmanager/
backup_release_directory=${backup_directory}

current_app_folder=/home/akkadianuser

updater_file=$(basename "$1")

if [ ! -e ${backup_directory} ]
then
    mkdir ${backup_directory}
fi

if [ ! -e ${backup_release_directory} ]
then
    mkdir ${backup_release_directory}
fi

if [ -e ${current_tmp_release_folder} ]
then
    rm -Rf ${current_tmp_release_folder}
fi

if [ ! -e ${current_tmp_release_folder} ]
then
    mkdir ${current_tmp_release_folder}
fi


# Do we need to download the file?
if [[ ( ${current_release_zip_name} == "http"* ) || ( ${current_release_zip_name} == "ftp"* ) ]]
then
    echo 'getting external file'
    wget ${current_release_zip_name} -P ${current_tmp_release_folder}/

    echo 'unzipping current file'
    tar -xvzf ${current_tmp_release_folder}/$(basename ${current_release_zip_name}) -C ${current_tmp_release_folder}/
else
    sudo cp -Rf ${current_release_zip_name} ${current_tmp_release_folder}
    sudo tar -xvzf ${current_tmp_release_folder}/$(basename ${current_release_zip_name}) -C ${current_tmp_release_folder}/
fi

echo 'copying files...'
echo ${current_app_folder}
sudo cp -Rf ${current_app_folder}/sync_start_at_log ${current_app_folder}/sync_end_at_log ${current_tmp_release_folder}
sudo cp -Rf ${current_tmp_release_folder}/* ${current_tmp_release_folder}/.* ${current_app_folder}

echo 'changing permissions...'
dos2unix /home/akkadianuser/*
sudo chown -R akkadianuser:akkadianuser /home/akkadianuser
sudo chmod +x /home/akkadianuser/scripts/*


sudo rm -Rf venv/
sudo rm -Rf netifaces-0.10.4/
sudo rm -Rf build/
sudo rm -Rf dist/
sudo rm -Rf tui.tar.gaz
sudo rm -Rf tui/
sudo rm -Rf akkadianAppManager.egg-info/
sudo rm -Rf /usr/lib/python2.7/site-packages/akkadianAppManager-1.0-py2.7.egg


echo 'compiling...'
sleep 5
cd /home/akkadianuser
sudo python2.7 setup.py install
