#!/usr/bin/env bash

COUNTER=0
while [  $COUNTER -lt 1 ]; do
    pcsd_status=$(systemctl is-active --quiet pcsd && echo Service is running)
    pacemaker_status=$(systemctl is-active --quiet pacemaker && echo Service is running)
    corosync_status=$(systemctl is-active --quiet corosync && echo Service is running)

    if [[ "$pcsd_status" == "Service is running" && "$pacemaker_status" == "Service is running" && "$corosync_status" == "Service is running" ]]; then
        let COUNTER=COUNTER+1
    fi
    sleep 1
done

NODES=$(sudo pcs status | grep Online: | awk -F : '{print $2}')
MASTER=$(sudo pcs status | grep RS_VIP_Akkadian | awk -F ' ' '{print $4}')
MY_HOSTNAME=$(sudo hostname)

if [[ -d /opt/akkadian/aco-server ]]; then
    gpg -d -q --batch --passphrase Akkadian /home/akkadianuser/.sshpassword_aco.gpg > /home/akkadianuser/.sshpass_for_slave
else
    gpg -d -q --batch --passphrase Akkadian /home/akkadianuser/.sshpassword_pme_cm.gpg > /home/akkadianuser/.sshpass_for_slave
fi
IFS=$' '

#ensure the change between replication is when there are more than 1 up and running
nodes_len=0
for j in $NODES
    do
        if [[ ( "$j" != "[" ) && ( "$j" != "]" ) ]]
        then
            nodes_len=$(($nodes_len+1))
        fi
done

if [[ "$MASTER" != "$MY_HOSTNAME" && $nodes_len>1 ]]; then
    sshpass -f /home/akkadianuser/.sshpass_for_slave ssh -o StrictHostKeyChecking=no root@$MASTER "mysqldump --defaults-extra-file=/home/akkadianuser/.my.cnf --all-databases > /home/akkadianuser/masterdatabasetoslave.sql"
    sshpass -f /home/akkadianuser/.sshpass_for_slave scp -o StrictHostKeyChecking=no root@$MASTER:/home/akkadianuser/masterdatabasetoslave.sql /home/akkadianuser/masterdatabasetoslave.sql
    sudo mysql --defaults-extra-file=/home/akkadianuser/.my.cnf -u root < /home/akkadianuser/masterdatabasetoslave.sql
    sudo rm -Rf /home/akkadianuser/masterdatabasetoslave.sql
fi

truncate -s 0 /home/akkadianuser/.sshpass_for_slave
sudo -Rf /home/akkadianuser/.sshpass_for_slave