#!/usr/bin/env bash
ran=$(( ( RANDOM % 100 )  + 1 ))
if [[ -d /opt/akkadian/aco-server ]]; then
    gpg -d -q --batch --passphrase Akkadian /home/akkadianuser/.sshpassword_aco.gpg > /home/akkadianuser/.sshpass_$ran
else
    gpg -d -q --batch --passphrase Akkadian /home/akkadianuser/.sshpassword_pme_cm.gpg > /home/akkadianuser/.sshpass_$ran
fi
NODES=$(sudo pcs status | grep Online: | awk -F : '{print $2}')
IFS=$' '
for j in $NODES
do
    if [[ ( "$j" != "[" ) && ( "$j" != "]" ) ]]
    then
        echo "Cleaning node: "$j
        #remove in master
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/log-basename=master//g" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/log-bin//g" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-format=row//g" /etc/my.cnf'

        #remove master and slave
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-do-db=pme//g" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-do-db=asb//g" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-do-db=call_manager//g" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-do-db=orc//g" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-do-db=ucce//g" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-do-db=unity_connection//g" /etc/my.cnf'

        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i -e "s/binlog-do-db=contact_manager//g" /etc/my.cnf'

        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i "/^server_id/d" /etc/my.cnf'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'sed -i "/^[[:space:]]*$/d" /etc/my.cnf'

        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'mysql --defaults-extra-file=/home/akkadianuser/.my.cnf -u root -e "STOP SLAVE;"'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'mysql --defaults-extra-file=/home/akkadianuser/.my.cnf -u root -e "RESET SLAVE;"'

        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'firewall-cmd --zone=public --remove-port=3306/tcp'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'firewall-cmd --runtime-to-permanent'
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j 'firewall-cmd --reload'

        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j "sudo crontab -u akkadianuser -l | grep -v '/home/akkadianuser/scripts/master_replication.sh'  | crontab -u akkadianuser -"
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j "sudo crontab -u akkadianuser -l | grep -v '/home/akkadianuser/scripts/ha_getmasterdb_toslave.sh'  | crontab -u akkadianuser -"
        sshpass -f /home/akkadianuser/.sshpass ssh -o StrictHostKeyChecking=no root@$j "truncate -s 0 /home/akkadianuser/master"
    fi
done

sudo rm -Rf /home/akkadianuser/.sshpass_$ran